package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginPMEFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.PercentualdeAdesaoPMEPage;
import org.testng.annotations.Test;

public class PercentualAdesaoPMETest extends TestBase {

    MainPage mainPage;
    MainFlows mainFlows;
    PercentualdeAdesaoPMEPage percentualadesaopage;
    LoginPMEFlows loginpmeflows;

    //Tests 1 -
    @Test
    public void PercentualAdesao() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        percentualadesaopage = new PercentualdeAdesaoPMEPage();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        percentualadesaopage.AcessarTela();
        percentualadesaopage.PreencherAgregada();
        percentualadesaopage.PratoInicial();
        percentualadesaopage.PratoFinal();
        percentualadesaopage.PreencherServico();
        percentualadesaopage.SelecionarPercentual();
    }

    //Tests 2 -
    @Test
    public void GeracaoRelatorioAdesao() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        percentualadesaopage = new PercentualdeAdesaoPMEPage();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        percentualadesaopage.AcessarTela();
        percentualadesaopage.GerarRelatorio();
        percentualadesaopage.PratoInicialRelatorio();
        percentualadesaopage.PratoFinalRelatorio();
        percentualadesaopage.Clicarpdf();
    }


    //Tests 3 - Gerar Relatorio sem informar pratos
    @Test
    public void GeracaoRelatorioAdesaoSemPrato() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        percentualadesaopage = new PercentualdeAdesaoPMEPage();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        percentualadesaopage.AcessarTela();
        percentualadesaopage.GerarRelatorio();
        percentualadesaopage.Clicarpdf();
    }
}
